Debian Bug report logs - #441354
xterm mispositions character glyphs with gnu unifont

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Rich Felker <dalias@aerifal.cx>

Date: Sun, 9 Sep 2007 04:15:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/229-1

Fixed in version xterm/230-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#441354; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Rich Felker <dalias@aerifal.cx>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rich Felker <dalias@aerifal.cx>
To: submit@bugs.debian.org
Subject: xterm mispositions character glyphs with gnu unifont
Date: Sun, 9 Sep 2007 00:16:18 -0400
Package: xterm
Version: 229-1
Severity: normal

When using GNU Unifont with xterm, certain Unicode characters
(0100-011F, 017F-019F, 0200-021F, ...) are displayed in the wrong
position, roughly half a cell-width to the left of where they belong.
Using urxvt works fine so the issue seems to be a problem with xterm
and not the font.

The characters which are displayed wrongly are exactly those for which
the low 8 bits of the character number correspond to ISO-8859 control
characters. I suspect xterm is doing some funny 8bit-codepage logic
and not turning it off for UTF-8 locales like it should.

I can provide screenshots if needed. Here is a test string which
should show the problem:

"AĀBāCĠDſEƀ"

All of Ā, ā, ſ, and ƀ appear in the wrong positions, while the ASCII
characters and Ġ appear correctly.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#441354; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 441354@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 441354@bugs.debian.org
Subject: Re: Bug#441354: xterm mispositions character glyphs with gnu unifont
Date: Mon, 10 Sep 2007 06:46:47 -0400
[Message part 1 (text/plain, inline)]
On Sun, Sep 09, 2007 at 06:20:08AM +0200, Rich Felker wrote:
> Package: xterm
> Version: 229-1
> Severity: normal
> 
> When using GNU Unifont with xterm, certain Unicode characters
> (0100-011F, 017F-019F, 0200-021F, ...) are displayed in the wrong
> position, roughly half a cell-width to the left of where they belong.
> Using urxvt works fine so the issue seems to be a problem with xterm
> and not the font.

The font contains glyphs with more than one width, and xterm thinks
it is a proportional font.  There are probably special cases where
the width of the glyphs matches the single/double-width characters,
though _that_ does not appear to be the explanation.  But xterm's
behavior for this special case is not based on the range of codes
to display.

(I can look into how to improve it for the special case, though there
are other fonts which work correctly ;-)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Tue, 01 Jan 2008 18:03:10 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Rich Felker <dalias@aerifal.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 441354-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 441354-close@bugs.debian.org
Subject: Bug#441354: fixed in xterm 230-1
Date: Thu, 03 Jan 2008 13:32:10 +0000
Source: xterm
Source-Version: 230-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_230-1.diff.gz
  to pool/main/x/xterm/xterm_230-1.diff.gz
xterm_230-1.dsc
  to pool/main/x/xterm/xterm_230-1.dsc
xterm_230-1_i386.deb
  to pool/main/x/xterm/xterm_230-1_i386.deb
xterm_230.orig.tar.gz
  to pool/main/x/xterm/xterm_230.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 441354@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 03 Jan 2008 12:07:38 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 230-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 441354 449227 456236 457634
Changes: 
 xterm (230-1) unstable; urgency=low
 .
   * New upstream release.
     + do not treat Unicode BIDI control characters as combining characters
       (closes: #457634)
     + correct width-calculation used for adjusting proportional fonts, to work
       with wide-characters (closes: #441354)
     + make missing double-width glyphs display as double-width
       (closes: #456236)
     + fix an ifdef in logic for selecting regular expressions while in a
       narrow-character locale (closes: #449227)
   * koi8rxterm, its manpage and app-defaults file, and the uxterm manpage are
     now upstream, so remove our versions.
   * Bump Standards-Version to 3.7.3 (no changes).
   * Update copy of XTerm FAQ to revision 1.99 (dated 2007-11-29).
Files: 
 82d55dd59fd4392f9fd726fec94ec361 805 x11 optional xterm_230-1.dsc
 c1a654a6793aff285b69c1d1ed4f2c38 850697 x11 optional xterm_230.orig.tar.gz
 06e5f4e6398afa5b418a4c8dab85a072 61537 x11 optional xterm_230-1.diff.gz
 052b08e9828afec30c91856db7d3a33f 462132 x11 optional xterm_230-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHfOA1mEvTgKxfcAwRAgYpAKCPINcLlLHUGqKNYrmXDGHDssm09wCcDw96
evTwPAu41iOpI31AGKu0dgk=
=jCKb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Feb 2008 07:30:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:23:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.